import unittest

from tests.Program_test import ProgramTest


class Tester:

    def __init__(self):
        self._suite = unittest.TestSuite()

    def create(self):
        self._suite.addTest(ProgramTest('test_sqrt'))
        self._suite.addTest(ProgramTest('test_date'))

    def start(self):
        runner = unittest.TextTestRunner()
        runner.run(self._suite)


if __name__ == '__main__':
    tester = Tester()
    tester.create()
    tester.start()
